---
title: Retrieve Multiple Assets
description: Returns an array of asset objects. This endpoint is paginated.
url: https://storyblok.com/docs/api/management/assets/retrieve-multiple-assets
---

# Retrieve Multiple Assets

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/assets/
```

Returns a [paginated](/docs/api/management/getting-started/pagination) array of asset objects.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    

## Query parameters

-   `in_folder` (number)
    
    Provide the numeric id of a folder to filter the assets by a specific folder. Use value `-1` to retrieve deleted assets.
    
-   `sort_by` (string)
    
    Possible values: `created_at:asc`, `created_at:desc`, `updated_at:asc`, `updated_at:desc`, `short_filename:asc`, `short_filename:desc`
    
-   `is_private` (boolean)
    
    If `1` it only displays private assets
    
-   `search` (string)
    
    Provide a search term to filter a specific file by the filename
    
-   `by_alt` (string)
    
    Filter by the alt text of an asset
    
-   `by_copyright` (string)
    
    Filter by the copyright of an asset
    
-   `by_title` (string)
    
    Filter by the title of an asset
    
-   `with_tags` (string)
    
    Filter by specific tag(s). Multiple tags can be provided as a comma-separated string (treated like an OR operator). Examples: `with_tags=featured`, `with_tags=featured,editors_choice`
    

## Response properties

-   `assets` (The Asset Object)
    
    An array of [asset objects](/docs/api/management/assets/the-asset-object)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/assets/', {})
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/assets/')->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/assets/");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/assets/"
    
    querystring = {}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/assets/')
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    let request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/assets/")
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/assets/")
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Get a Signed Response Object](/docs/api/management/assets/get-signed-response)
-   [Next: Retrieve One Asset](/docs/api/management/assets/retrieve-one-asset)
